%define module_name Algorithm-FEC
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1
Release: alt8
Summary: Forward Error Correction using Vandermonde Matrices
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/ML/MLEHMANN/%{module_name}-%{version}.tar.gz

%description
This module is an interface to the fec library by Luigi Rizzo et al., see
the file README.fec in the distribution for more details.

This library implements a simple (`encoded_blocks',`data_blocks')
erasure code based on Vandermonde matrices.  The encoder takes
`data_blocks' blocks of size `block_size' each, and is able to produce
up to `encoded_blocks' different encoded blocks, numbered from `0'
to `encoded_blocks-1', such that any subset of `data_blocks' members
permits reconstruction of the original data.

Allowed values for `data_blocks' and `encoded_blocks' must obey the
following equation:

   data_blocks <= encoded_blocks <= MAXBLOCKS

Where `MAXBLOCKS=256' for the fast implementation and `MAXBLOCKS=65536'
for the slow implementation (the implementation is chosen automatically).

=over 4

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.fec README Changes LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.1-alt8
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.1-alt7
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.1-alt6.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt5.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.1-alt5
- rebuild with perl 5.26

* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 1.1-alt4
- updated summary

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.1-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt2
- rebuild to get rid of unmets

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1
- initial import by package builder

